Name:           dclib
Version:        0.3.7
Release:        8%{?dist}
Summary:        Direct Connect file sharing library

Group:          Applications/Internet
License:        GPL
URL:            http://dcgui.berlios.de/
Source0:        http://download.berlios.de/dcgui/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-hashfix.patch
Patch1:         %{name}-%{version}-keylock.patch
Patch2:         %{name}-%{version}-permissions.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libxml2-devel, openssl-devel, bzip2-devel

%description
This library implements the Direct Connect file sharing protocol.  The package
contains the library required for running programs based on dclib.


%package devel
Summary:        Development libraries for Direct Connect
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig, libxml2-devel


%description devel
This library implements the Direct Connect file sharing protocol.
The package contains the C++ headers and library to compile programs based
on dclib.


%prep
%setup -q
%patch0 -b .hashfix
%patch1 -b .keylock
%patch2 -b .perms


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.OpenSSL README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/dclib.pc
%{_includedir}/dclib
%{_libdir}/*.so


%changelog
* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> 0.3.7-8
- Rebuild for FC6

* Sun Apr 20 2006 Luke Macken <lmacken@redhat.com> 0.3.7-7
- dclib-0.3.7-permissions.patch
  make valknut use the umask instead of hardcoded permissions
- dclib-0.3.7-keylock.patch
  fixes $Lock-parsing problem
- dclib-0.3.7-hashfix.patch
  fixes production of wrong hashes

* Mon Feb 13 2006 Luke Macken <lmacken@redhat.com> 0.3.7-6
- Rebuild for FE5

* Tue Dec 27 2005 Luke Macken <lmacken@redhat.com> 0.3.7-5
- Rebuild

* Thu Nov 10 2005 Luke Macken <lmacken@redhat.com> 0.3.7-4
- Rebuild for new openssl

* Mon Oct 03 2005 Luke Macken <lmacken@redhat.com> 0.3.7-3
- Add libxml2-devel to Requires

* Sun Oct 02 2005 Luke Macken <lmacken@redhat.com> 0.3.7-2
- Add documentation and license to package
- Set defattr and fix Requires in the devel package

* Thu Sep 29 2005 Luke Macken <lmacken@redhat.com> 0.3.7-1
- Packaged for Fedora Extras
